Bug 351441 - Review Request: php-pear-symfony - Open-Source PHP Web Framework
Review Request: php-pear-symfony - Open-Source PHP Web Framework
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Reopened
Depends On: 266841 266941 337791 337801 433045
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-24 18:33 EDT by Alexander Kahl
Modified: 2009-03-12 17:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-19 13:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander Kahl 2007-10-24 18:33:32 EDT
Spec URL: http://akahl.fedorapeople.org/php-pear-symfony.spec
SRPM URL: http://akahl.fedorapeople.org/php-pear-symfony-1.0.8-1.fc7.src.rpm
Description: 
Based on the best practices of web development, thoroughly tried on several
active websites, symfony aims to speed up the creation and maintenance of web
applications, and to replace the repetitive coding tasks by power, control and
pleasure.

Symfony provides a lot of features seamlessly integrated together, such as:
- simple templating and helpers
- cache management
- smart URLs
- scaffolding
- multilingualism and I18N support
- object model and MVC separation
- Ajax support
- enterprise ready

--

I had several issues modifying Symfony to use the system's Propel components instead of its provided versions. All tests I've made developing with this modified version of Symfony so far were fine however.
rpmlint complains about empty files Symfony seems to need for the new project template. Frankly, I don't know how to handle this.
Comment 1 Alexander Kahl 2008-03-17 13:26:37 EDT
Deferred until upstream ticket at http://trac.symfony-project.com/ticket/3144
gets either accepted and fixed or declined.
Comment 2 Alexander Kahl 2008-03-19 13:17:37 EDT
Reopening, upstream has answered 'wontfix' without any further comments.

I don't feel like maintaining a plethora of fixes for each symfony version to
use the system-provided libraries, if anyone else does, he or she is welcome to
take over. 
Comment 3 Alexander Kahl 2008-03-19 13:39:51 EDT
Upstream closed wontfix, hence closing wontfix too.
Comment 4 Xavier Bachelot 2009-03-12 06:59:47 EDT
I'm interested in this, but the spec and srpm are not available anymore. Could you please re-upload or mail them to me ?

Regards,
Xavier
Comment 5 Alexander Kahl 2009-03-12 13:47:28 EDT
Are you *sure* you want to take over here? symfony bundles many other packages that should (must?) be referenced from system-wide installation(s) and its maintainer refused any cooperation so far.
I still have a 1.0.11 spec file lying around here.. uploaded to:
http://akahl.fedorapeople.org/php-pear-symfony.spec
Cannot find Patch0 (internallibfix) anymore though. The patch fixed Propel references from provided to system-wide.
Comment 6 Xavier Bachelot 2009-03-12 17:36:05 EDT
Well, whatever good or bad state the upstream code is, some guys here at work need this, so I'll have to package it. If I can get the package in an acceptable state for Fedora inclusion, I will follow up with the review. If I can't get properly remove the private copies, I would hate not to maintain it within Fedora, but I will have to maintain it in a private repo anyway. I hope the code from the 1.2 branch is better with regards to bundled stuff.
Thanks for sharing your work, I appreciate a lot. Too bad the patch got lost, it looked really useful.

Note You need to log in before you can comment on or make changes to this bug.